Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.gpuflux.jocl.compute
Class Device

    java.lang.Object
      de.grogra.gpuflux.jocl.compute.Device

    public class Device

extends java.lang.Object

Constructor Summary
`protected` | `Device(int contextID, JOCLDevice device, ComputeContext context)`

Method Summary
`Buffer` | `createBuffer(int size, long flags)`
`ComputeByteBuffer` | `createByteBuffer()`
`void` | `executeKernel(Kernel kernel, int stream_size)`
`void` | `executeKernel(Kernel kernel, int stream_size, org.jocl.cl_event event)`
`void` | `finish()`
`java.nio.ByteOrder` | `getByteOrder()`
`ComputeContext` | `getContext()`
`protected int` | `getContextID()`
`protected JOCLDevice` | `getDevice()`
`java.lang.String` | `getName()`
`boolean` | `isLittleEndian()`
`void` | `setKernelArg(Kernel kernel, int arg_idx, int arg_size, org.jocl.Pointer p)`
`void` | `setKernelArgBuffer(Kernel kernel, int arg_idx, ByteArray buffer)`
`void` | `setKernelArgFloat(Kernel kernel, int arg_idx, float f)`
`void` | `setKernelArgInt(Kernel kernel, int arg_idx, int i)`
`void` | `setKernelArgMemBuffer(Kernel kernel, int arg_idx, Buffer buf)`
`void` | `setKernelArgMemBuffer(Kernel kernel, int arg_idx, SharedBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Device

    protected Device(int contextID,
                     JOCLDevice device,
                     ComputeContext context)

Method Detail

### createBuffer

    public Buffer createBuffer(int size,
                               long flags)

### createByteBuffer

    public ComputeByteBuffer createByteBuffer()

### executeKernel

    public void executeKernel(Kernel kernel,
                              int stream_size)

### executeKernel

    public void executeKernel(Kernel kernel,
                              int stream_size,
                              org.jocl.cl_event event)

### finish

    public void finish()

### getByteOrder

    public java.nio.ByteOrder getByteOrder()

### getContext

    public ComputeContext getContext()

### getContextID

    protected int getContextID()

### getDevice

    protected JOCLDevice getDevice()

### getName

    public java.lang.String getName()

### isLittleEndian

    public boolean isLittleEndian()

### setKernelArg

    public void setKernelArg(Kernel kernel,
                             int arg_idx,
                             int arg_size,
                             org.jocl.Pointer p)

### setKernelArgBuffer

    public void setKernelArgBuffer(Kernel kernel,
                                   int arg_idx,
                                   ByteArray buffer)

### setKernelArgFloat

    public void setKernelArgFloat(Kernel kernel,
                                  int arg_idx,
                                  float f)

### setKernelArgInt

    public void setKernelArgInt(Kernel kernel,
                                int arg_idx,
                                int i)

### setKernelArgMemBuffer

    public void setKernelArgMemBuffer(Kernel kernel,
                                      int arg_idx,
                                      Buffer buf)

### setKernelArgMemBuffer

    public void setKernelArgMemBuffer(Kernel kernel,
                                      int arg_idx,
                                      SharedBuffer buf)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD